@import url('https://fonts.googleapis.com/css2?family=Lexend+Deca:wght@100..900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Big+Shoulders:opsz,wght@10..72,100..900&display=swap');

* {
   margin: 0; 
   padding: 0;
   box-sizing: border-box;
}

:root {
    --orange: hsl(31, 77%, 52%);
    --cyan: hsl(184, 100%, 22%);
    --darkCyan: hsl(179, 100%, 13%);
}

body {
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
}

.container {
    display: flex;
    width: 920px;
    border-radius: 8px;
    overflow: hidden;
    margin: 30px;
}

.cardItem {
    padding: 45px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 35px;
}

p {
    flex: 1;
    color: hsla(0, 0%, 100%, 0.75);
    font-family: "Lexend Deca", sans-serif;
    font-size: 15px;
    line-height: 26px;
}

h1 {
    font-family: "Big Shoulders", sans-serif;
    font-weight: 700;
    font-size: 37px;
    color: hsl(0, 0%, 95%);
}

.first {
    background-color: var(--orange);
}

.second {
    background-color: var(--cyan);
}

.third {
    background-color: var(--darkCyan);
}

button {
    margin-top: 70px;
    padding: 15px 35px;
    border-radius: 30px;
    border: none;
    outline: none;
    transition: 0.5s;
    cursor: pointer;
    border: 2px solid transparent;
}

.cardItem button:hover {
    background-color: transparent;
    border: 2px solid hsl(0, 0%, 95%);
    color: hsl(0, 0%, 95%);
}

.first button {
    color: var(--orange);
}

.second button {
    color: var(--cyan);
}

.third button {
    color: var(--darkCyan);
}

@media screen and (max-width: 700px) {

    .container {
        flex-direction: column;
    }
}